EDIT - feature request #7170

TaxonNameEditor: option to suppress CombinationAuthorshipField & BasionymAuthorship when it
contains no data

01/11/2018 04:48 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

In phycobank using the CombinationAuthorship is discouraged, this field only should be shown in the TaxonNameEditor if it contains
data. Otherwise it is required for the registration ui that the authors enter the nomenclatural reference.
The same accounts for BasionymAuthorship

Related issues:
Related to EDIT - bug #7162: TaxonNamePopupEditor: Adding BasionymAuthor caus... Rejected

Associated revisions

Revision ff20525a - 01/11/2018 06:14 PM - Andreas Kohlbecker
fix #7170 hiding CombinationAuthorship & BasionymAuthorship if empty

History

#1 - 01/11/2018 04:49 PM - Andreas Kohlbecker
- Tags set to phycobank

- Subject changed from TaxonNameEditor: option to supress CombinationAuthorshipField when it contains no data to TaxonNameEditor: option to
suppress CombinationAuthorshipField & BasionymAuthorship when it contains no data

- Description updated

#2 - 01/11/2018 06:14 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|ff20525a8fa3cf7a560bd39350546989a780f420.

#3 - 01/11/2018 06:15 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#4 - 01/11/2018 06:15 PM - Andreas Kohlbecker
- Parent task deleted (#7070)

#5 - 01/16/2018 09:35 AM - Andreas Kohlbecker
- Related to bug #7162: TaxonNamePopupEditor: Adding BasionymAuthor causes PermissionDeniedException added
